# 4. Computer controlled cutting

**Goals**

This week we are focused on getting to know the laser cutter and vinyl cutting machine. 

Group assignment:
1. Characterize your lasercutter's focus, power, speed, rate, kerf, joint clearance and types.

2. Charlotte Lab characterizes different engraving features by Photo: Floyd-Steinberg, Jarvis
Stucki, Bayer

Individual assignment:

1. Cut something on the vinylcutter
2. Design, lasercut, and document a parametric construction kit, accounting for the lasercutter kerf,
which can be assembled in multiple ways and for extra credit include elements that aren't flat 


**Accomplishments**
 
We completed the **group exercise** characterizing our lasercutter [Here](https://fabacademy.org/2023/labs/charlotte/assignments/week04/) 

Here are my top 5 insights:

1. The kerf is not consistent and dependent on the material to some extent 
2. The impact of 1% change in speed is a multiple of the same % change in power 
3. It is very important tol keep clean laser lenses and mirrors clean  

The **Parametric kit** design was a great way to "burn in" some of the new learning from CAD week. I 
made a mistake with the slot width which I only discoverd after my first cut and so came to 
appreciate the speed of the change possible in a parametric design.

User testing is alway critical!!

I came to appreciate the vinyl cutter. I think this **Sticker** just scratch the surface but I am 
looking forward to seeing what else this little machine can do. It was clear to me as a novice that
choosing the right image to start with is critical to success and ease of the process



## Parametric construction kit 

I decided to use Cuttle for this effort and like the idea of leveraging the number of sides as a key 
part of the parametric design 

I am going to use cardboard for this kit and so I was worried about the logjavity of the different 
joints and so I decided to use the chamfer joint. 

![](../images/ImagW3/Kit/1setting.jpg)

Next I defined the parameters I expected to use 

![Parameters](../images/ImagW3/Kit/2para.jpg)

I started with using the rectangle shape using the round corner 

![Rectangle](../images/ImagW3/Kit/3rotation.jpg)

When i started to play around the the parameter value i did not like how the round corners looked 
and I decided to move the connector from the middle of the leg to the corner using the pentagon shape
this will allow easier scaling up and down in the number of sides. I also change my approach to the 
chamfer and replaced the rounded corder with a triangle cut out. 

So starting over looked like this:

![Pentagon](../images/ImagW3/Kit/4startingover.jpg)

I figured out that a lot of the issues I had with the boolean union/difference had to do with the order
in which I had the object in the group 

![order](../images/ImagW3/Kit/5booleanunion.jpg)


Any once I combined them we got the shape I was looking for

![Hex](../images/ImagW3/Kit/6newshape.jpg)

Now i worked through the rest with my goal being to me able to change the shape by increasing the number of 
sides. I used the sides parameter as both the driver of the number of sides and the repeat of the slots which 
worked well as you can see in the video:

![shift](../images/ImagW3/Kit/9shapeshift.gif)

I then used the tile repeat to make a sheet 

![sheet](../images/ImagW3/Kit/7tilerep.jpg)


I had set the slots depth and width as parameters as well as tne kerf as I was working on a number of different 
laser cutters and would adjust as needed. 

And now it is time for the test cut 

![test cut](../images/ImagW3/Kit/9testcut.jpg)

![test cut](../images/ImagW3/Kit/9testcut2.jpg)

and they DO NOT FIT!!! a quick investigation shows my mistake. I set the slot width to 3mm but the cardboard 
i was using was 4mm. 

That was an easy change in the width parameter. 

I also felt like I needed something more to help make this a "kit" so I decided to add a hole in the middle 

![hole](../images/ImagW3/Kit/8hole.jpg)

and I downloaded a a number of shapes triangle, square etc and got to cutting 

![test](../images/ImagW3/Kit/10cutting.jpg)

It is time for real user testing for which I enlisted my younger 2 kids Avi and Ari:

![user testing](../images/ImagW3/Kit/11usertesting.jpg)



## Vinyl cutter


 I wanted to make a sticker of Albert Einstien. I have a painting in my office that was 
 given to me as a gift and I really chriesh but it was a bit too complicated to replicate so
 I started to look for another picture 

![Image](../images/ImagW3/Sticker/0albertoptions.jpg)

I choose 2 of these as option but I knew I needed to trace it to get it to a place where I can 
export to SVG and cut but saw all different type of trace options

 ![Tracing](../images/ImagW3/Sticker/1Traceoptions.jpg)

 I tried all types on 2 different images

 ![Albert](../images/ImagW3/Sticker/1Albert.jpg)

 I think I found that the **line art** is the best option est as I was going to do a multi colored sticker 

But when I loaded in the vinylcutter I did not like the way the eyes came out. 

  ![Images](../images/ImagW3/Sticker/2Cricket1.jpg)

So i went back and found another images, used the line art trace (on the right below) and thought this is 
a better option to go with:

 ![Lineart](../images/ImagW3/Sticker/3trace2.jpg)


I loaded this in to my vinyl cutter software and it did a nice job breaking all the colors apart

![Image](../images/ImagW3/Sticker/4tracetocut.jpg)


After removing a few parts I got to something I liked 

![Image](../images/ImagW3/Sticker/5alberysimplfied.jpg)

But there are too many colors 

![Layers](../images/ImagW3/Sticker/4traceout2.jpg)


and so i used the layers to consolidate  to 3 colors 

![ready to cut](../images/ImagW3/Sticker/7tocut.jpg)

Now lets get cutting!!

![cut](../images/ImagW3/Sticker/8cut1.jpg)

That DID NOT WORK out at all!!

I did some investigation and looks like a number of issues:

1. Picture very complicated with lot of cuts even in areas with the same color 

2. I was using too much cutting pressure

I went back and got another version of the picture that is line based 

![New pic](../images/ImagW3/Sticker/9simplealbert.jpg)

I then used the "weld" feature to combine areas of the same color and avoid unnecessary cuts

![Weld](../images/ImagW3/Sticker/10weld.jpg)

Set it up on the left corner 

![Pressure](../images/ImagW3/Sticker/11Matsetup.jpg)

I reduce the cutting pressure 

![Pressure](../images/ImagW3/Sticker/12pressure.jpg)

and got cutting and weeding 

![Weed](../images/ImagW3/Sticker/13weed1.jpg){: style="height:180px"}  ![Weed](../images/ImagW3/Sticker/13weed2.jpg){: style="height:180px"}  ![Weed](../images/ImagW3/Sticker/13weed3.jpg){: style="height:180px"} ![Weed](../images/ImagW3/Sticker/13weed4.jpg){: style="height:180px"} ![Weed](../images/ImagW3/Sticker/13weed5.jpg){: style="height:180px"} |


A little transfer tape and  the sticker is done!!!

![Weed](../images/ImagW3/Sticker/13weed6.jpg)


Here are the files for this week

[Sticker](../files/Week4/Albertsticker.zip)

[Construction Kit](../files/Week4/parametricconstructionkit.zip)