# 7. Electronics design

In this week group work our goal was to use the test equipment in your lab to observe the operation
of a micro controller circuit board.

Our group used an oscilloscope and spectrum analyzer  to measure elements of the 
RP2040 based board we build Fab Xiao made buy ADRIÁN TORRES [here](https://fabacademy.org/2020/labs/leon/students/adrian-torres/fabxiao.html) as well the RP2040 based Morse Code generator I created in embedded programming week

You can see our results [here](https://fabacademy.org/2023/labs/charlotte/assignments/week07/)

Clearly knowing how to use the right testing equipment is critical in trouble shooting boards. 

**Goals**

Design a development board to interact and communicate with an embedded microcontroller

Extra credit: try another design workflow

Extra credit: make a case for it

Extra credit: simulate its operation

**Accomplishments**

1. Learned basic use of eagle via a set of tutorials 

2. Designed my first board based on a design I made during embedded programming week

3. Designed my second board that can potentially be the main board for my final project


## Learning Eagle and board #1

I have never design a board and so I was very excited to get going on this one. I decided to try 
out Eagle as that is the focus on most of my classmates this week. 

I went through the 5 part tutorial as a starting point [here](https://youtu.be/_jgUZeBiusw)

I then decided to try an replicate the Vegetable Washing Machine control board I programed in embedded programming week you can see [Here](https://fabacademy.org/2023/labs/charlotte/students/dan-stone/assignments/week05/#arduino-and-the-vegetable-washing-machine-basic-set-up)

I started off by set up my Eagle work space and enabling some libraries, in particular finding the one for SEEED RP2040

![Library](../images/imagw6/D1Seed.png)

I then pulled the parts into place 

![Placing](../images/imagw6/D2.png)

Next was adding all the rest of the parts and made the base set of connections 

![Connections](../images/imagw6/d3.png)

I wanted to get the board all clean and so added the values of each resistor

![Values](../images/imagw6/D4.png)

I used the inspector window on the side to quickly access info to speed things up

![Clean up](../images/imagw6/D5.png)

I then grouped and labeled parts - please note that I used LEDs to stand in for a motor and pump and will 
replace with connectors in the next rev

![Grouping](../images/imagw6/D6.png)

and finally put a frame around it and we are good to put to the parts placement 

![Parts](../images/imagw6/Place1.png)

I then started to move the parts into the general areas I had in mind for them

![Placement](../images/imagw6/Place2.png)


I started putting down the routes but ran into the puzzle in the top right with a landlocked connection. 

![Landlocked](../images/imagw6/Place3.png)

I used the resistor as a bridge 

![Bridge](../images/imagw6/Place4.png)

I however figured out at this point that I was using the wrong resistors and needed the surface mound components 
rather then the drill through and so I had to go back and start replacing the resistor in my schematic 

![New resistors check](../images/imagw6/Place5.png)

I  had to redo the placement and routing with the new components 

![New resistors](../images/imagw6/Place55.png)

That seem to work well and so I did the same for all of them

![All new parts](../images/imagw6/Place6.png)

I still had the land locked resistor and now the SMD component I choose was too small to be a bridge 
and so I used one of the larger resistors as a bridge   

![Done](../images/imagw6/Place7.png)

And here is the overview of the schematic 

![Schematic](../images/imagw6/Place8.png)

and the 3D view 

![3D view](../images/imagw6/3D1.png)


## Making a box and board #2

What I have found to be most confusing so far are libraries and which ones to use but I think 
that I bit more practice and this will become clearer 

I decided to start over and this time use the ESP32 and focus what could be the board for my final 
project. Since I plan to break out the electronics to main board and break outs for LEDs, buttons etc. 
so the main board should have connectors set up. 


I started off by designing the box for the board 

![Box](../images/imagw6/Box1.jpg)


![Box shell](../images/imagw6/Box2.jpg)


![Box design](../images/imagw6/Box3.jpg)

I then created the board profile 

![Schematic connection](../images/imagw6/Box4.jpg)


I connected it to the schematic


![Schematic](../images/imagw6/Box6.jpg)

I got the connectors set up for the motor and water pump, operatings button including the pull down resistors 
LED indicators and power

![Button](../images/imagw6/Box7.jpg)

I group and labeled everything 

![Labels](../images/imagw6/Box8.jpg)
 
 and started to place the components 

![Placement](../images/imagw6/Box9.jpg)


![Placement](../images/imagw6/Box92.jpg)


An routing .... however I hit road blocks with too many crossing connections 

![Routing](../images/imagw6/Box93.jpg)

I took a 2 part approach both rewiring some of the connection by switching IO pins which did not matter to 
my code and moving some of the connection around on the board

![Rework](../images/imagw6/Box94.jpg)

That allowed me to get everthing routed and pushed to 3D

![Done](../images/imagw6/Box95.jpg)


![3D](../images/imagw6/Box96.jpg)

Now I wanted to see it in the box I created.  So I made a new file so I can bring in the box and the board 

![Combined file set up](../images/imagw6/Box10.jpg)

I inserted the box

![Combined file set up](../images/imagw6/Box11.jpg)

and the board 
![Combined file set up](../images/imagw6/Box12.jpg)


No when I move to 3D I noticed that moved a number of connectors to the wrong side and so after a bunch of 
research online I found out this was due to using the Mirror command the wrong way. 

![Combined file set up](../images/imagw6/Box13.jpg)

Now I had the components in the right side and had to reroute the components 

![Combined file set up](../images/imagw6/Box14.jpg)


I tweaked the schematic 

![Combined file set up](../images/imagw6/Box141.jpg)


and redid the view in the box 

![Combined file set up](../images/imagw6/Box15.jpg)




Here are my files for this week 

[Board #1](../files/Week6/Board1.zip)

[Board #2](../files/Week6/VMSBoard.zip)